Repair call intake
curl --request GET \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/call-intake \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/call-intake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/call-intake"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"repairId": "<string>",
"callId": "<string>",
"recordedAt": "<string>",
"location": "<string>",
"room": "<string>",
"since": "<string>",
"tried": "<string>",
"availability": [
{
"date": "<string>",
"am": true,
"pm": true
}
],
"pets": true,
"alarm": true,
"officeKeys": true
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Repair call intake
What the call that logged a repair recorded: where, since when, and when the tenant can let someone in
GET
/
maintenance-pro
/
repairs
/
{id}
/
call-intake
Repair call intake
curl --request GET \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/call-intake \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/call-intake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/call-intake"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"repairId": "<string>",
"callId": "<string>",
"recordedAt": "<string>",
"location": "<string>",
"room": "<string>",
"since": "<string>",
"tried": "<string>",
"availability": [
{
"date": "<string>",
"am": true,
"pm": true
}
],
"pets": true,
"alarm": true,
"officeKeys": true
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
object | null
Success